Skip to main content
GET
/
v1
/
issuing
/
transactions
/
{id}
Retrieve Cards Transaction
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/transactions/{id} \
  --header 'x-auth-token: <api-key>'
{
  "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
  "card_number": "************5668",
  "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
  "transaction_id": "5135e6cc-28b6-4889-81dc-3b86a09e1395",
  "short_transaction_id": "CT2024-03-01",
  "original_transaction_id": "1234e6cc-28b6-4889-81dc-3b86a09e1395",
  "transaction_type": "AUTHORIZATION",
  "transaction_fee": 0.25,
  "transaction_fee_currency": "SGD",
  "fee_pass_through": "Y",
  "card_available_balance": 2506.26,
  "authorization_code": 856268,
  "billing_amount": 70.25,
  "billing_currency": "SGD",
  "transaction_amount": 100.25,
  "transaction_currency": "USD",
  "transaction_time": "2024-03-21T17:17:32+08:00",
  "description": "1107 - Invalid CVV2",
  "transaction_status": "DECLINED",
  "posted_time": "2024-03-21T17:17:32+08:00",
  "merchant_data": {
    "category_code": "6011",
    "city": "CITY NAME",
    "country": "CN",
    "name": "ACQUIRER NAME"
  },
  "wallet_type": "ApplePay"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string
required

Unique identifier for the cards transaction.

Example:

"c0cef051-29c5-4796-b86a-cd5b684bfad7"

Response

OK - Card transaction returned successfully.

card_id
string
required

Unique identifier for the card.

Example:

"c0cef051-29c5-4796-b86a-cd5b684bfad7"

card_number
string
required

Masked card number

Example:

"************5668"

cardholder_id
string<uuid>
required

The cardholder’s unique identifier.

Example:

"7c4ff2cd-1bf6-4aaa-bf16-266771425011"

transaction_id
string<uuid>
required

Unique Identifier for transaction.

Example:

"5135e6cc-28b6-4889-81dc-3b86a09e1395"

short_transaction_id
string<uuid>
required

Short unique identifier for transaction.

Example:

"CT2024-03-01"

original_transaction_id
string<uuid>
required

Unique Identifier for the original transaction.

Example:

"1234e6cc-28b6-4889-81dc-3b86a09e1395"

transaction_type
enum<string>
required

Transaction type of card.

Available options:
AUTHORIZATION,
REFUND,
FUND COLLECTION,
ATM DEPOSIT,
REVERSAL,
VALIDATION,
SETTLEMENT DEBIT,
SETTLEMENT CREDIT,
SETTLEMENT REVERSAL,
CHARGEBACK DEBIT,
CHARGEBACK CREDIT
Example:

"AUTHORIZATION"

transaction_fee
number
required

Transaction fee.

Example:

0.25

transaction_fee_currency
string
required

Transaction fee currency.

Example:

"SGD"

fee_pass_through
enum<string>
required

Indicates whether the transaction fee was deducted from the card balance.

  • Y – The transaction fee was charged directly from the card.
  • N – The transaction fee was covered by the main account instead of the card.
    By default, fees are charged to the main account unless configured otherwise.
Available options:
Y,
N
Example:

"Y"

card_available_balance
number
required

The card available balance.

Example:

2506.26

authorization_code
string
required

Authorization Code

Example:

856268

billing_amount
number
required

Billing amount

Example:

70.25

billing_currency
string
required

Billing Currency

Example:

"SGD"

transaction_amount
number
required

Transaction amount

Example:

100.25

transaction_currency
string
required

Transaction currency

Example:

"USD"

transaction_time
string
required

Transaction occurrence time

Example:

"2024-03-21T17:17:32+08:00"

description
string
required

Provides additional context based on the transaction status.

  • If transaction_status is DECLINED, this field contains the reason for the failure.
  • If transaction_status is APPROVED, this field contains supplementary remarks(e.g. "1000 - Authorization Approval", "3DS Fee").
Example:

"1107 - Invalid CVV2"

transaction_status
enum<string>
required

The high-level status indicating the stage of the transaction lifecycle.

Available options:
APPROVED,
DECLINED,
PENDING
Example:

"DECLINED"

posted_time
string

Transaction posted time

Example:

"2024-03-21T17:17:32+08:00"

merchant_data
object

Details about the merchant (grocery store, e-commerce website, etc.) involved in this transaction.

wallet_type
enum<string>

Indicates which digital wallet was used for the transaction.

Available options:
ApplePay,
GooglePay,
GOOGLE ECOMMERCE,
GOOGLE,
GOOGLE PAY
Example:

"ApplePay"